NG4JROOT=/home/olaf/AdditionalSoftware/src/cvs_ng4j/ng4j
NG4J_CLASSPATH=`find ${NG4JROOT}/lib/ -name "*.jar" -printf ":%p"`;

BSBMROOT=/home/olaf/AdditionalSoftware/bsbmtools
BSBM_CLASSPATH=${BSBMROOT}/bin/:${BSBMROOT}/lib/ssj.jar

SQUIN_ROOT=/home/olaf/AdditionalSoftware/src/svn_SQUIN/trunk
SQUIN_CLASSPATH=${SQUIN_ROOT}/dist/lib/squin.jar

PROFILER_CLASSPATH=/home/olaf/AdditionalSoftware/ObjectProfiler/objectprofiler.jar

BENCHMARK_CLASSPATH=./dist/lib/bench.jar

EXPERIMENT_DIR="/home/olaf/temp/Exp250"

## create BSBM dataset
# cd ${BSBMROOT}/ && java -cp ${BSBM_CLASSPATH} benchmark.generator.Generator -pc 250 -s ttl -dir ${EXPERIMENT_DIR}/td_data -fn ${EXPERIMENT_DIR}/dataset

## convert BSBM dataset to Linked Data like sliced dataset
# java -Xms1024m -Xmx1024m -enableassertions -classpath ${NG4J_CLASSPATH}:${BSBM_CLASSPATH}:${SQUIN_CLASSPATH}:${BENCHMARK_CLASSPATH} bench.convert --dataset ${EXPERIMENT_DIR}/dataset.ttl --output ${EXPERIMENT_DIR}/dataset.trig "$@"

## exec. benchmark with LD-like sliced BSBM dataset and BSBM queries
java -Xms1024m -Xmx1024m -classpath ${NG4J_CLASSPATH}:${BSBM_CLASSPATH}:${SQUIN_CLASSPATH}:${PROFILER_CLASSPATH}:${BENCHMARK_CLASSPATH} bench.execute --dataset ${EXPERIMENT_DIR}/dataset.trig --idir ${EXPERIMENT_DIR}/td_data/ --qdir ${BSBMROOT}/queries/ --qseq "1 2 2 3 2 2 4 2 2 5 7 7 6 7 7 8 9 9 8 9 9 10 10 11 12" "$@"